Subject: bug#73855: [BUG] Error: void-function (rx) during generating autoloads for python.el when building from source

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2024 09:39:18 +0200

> From: Lin Sun <[email-masked]>
> Date: Wed, 13 Nov 2024 17:13:14 +0000
> Cc: [email-masked]
> 
> On Wed, Nov 13, 2024 at 2:51 PM Eli Zaretskii <[email-masked]> wrote:
> > > From: Lin Sun <[email-masked]>
> > > Date: Wed, 13 Nov 2024 00:31:07 +0000
> > > I met a compile issue while generating the autoloads.el from
> > > python.el, it seems the `python--auto-mode-alist-regexp` is defined
> > > with 'rx' but the 'rx' wasn't loaded.
> > > Should relate to the commit `2f485e68ff96cc66a17df2c0a58e272bbfc24765`
> > >     Add Python "*.pth" files to auto-mode-alist
> > >     * lisp/progmodes/python.el (python--auto-mode-alist-regexp): New
> > >     variable.
> > >
> > > Here is the errors:
> >
> > Thanks, but what is the recipe for reproducing this? just "make
> > bootstrap" or something else?
> >
> > And in what branch?  Your bug report lacks any information about your
> > OS, Emacs configuration and version, and the build details.
> Hi Eli,
> Thanks for replying, the error happened when I compiled the master
> branch (a7400cb8810) on Ubuntu 20.04, clang-20, libgccjit-14.
> 
> I spent more than 1 hours to search what caused the issue on my local
> but didn't find the root cause, clean up and rebuild didn't help, so I
> posted the error messages to mail list for searching helping.
> This morning I checked out the latest master branch and started a
> fresh building and everything works perfectly.
> 
> The issue should be my local issue (maybe related to some environment
> variables or dependent libraries). I'm still keeping my eyes on it,
> and will investigate the root cause if it happens again.
> 
> Please close this ticket, thanks, appreciate it!

Stefan, can you please take a look?  Should python.el require rx due
to this change?  If not, feel free to close.